note
  description : "Tne entry point for the system"
  author : "Gunnar Gotshalks"
  date : "2011 May 28"

class MAIN

create make
--------------------------------------------------------------------------------
feature {NONE} -- Creation

make
  local
    complex_ref_1: COMPLEX_NUMBER_REF
    complex_ref_2: COMPLEX_NUMBER_REF
    complex_exp_1, complex_exp_2: COMPLEX_NUMBER
  do
    print("Start test%N%N")

    create complex_exp_1.make (3,4)
    print("Complex number 1 expanded: " + complex_exp_1.to_string + "%N")

    create complex_ref_1.make(1,2)
    print("Complex number ref_1: " + complex_ref_1.to_string + "%N")
    complex_ref_2 := complex_ref_1
    print("Complex number ref_2: " + complex_ref_2.to_string + "%N")

    complex_ref_2.set_real (-200)
    print( "%NChanging mumber 2 real part to -200 "
         + "also changes number 1 real part%N")
    print("Complex number ref_2: " + complex_ref_2.to_string + "%N")
    print("Complex number ref_1: " + complex_ref_1.to_string + "%N")

    complex_exp_2 := complex_exp_1
    complex_exp_2.set_real (100)
    print("%NComplex_exp_2 assigned complex_exp and real part changed to 100%N")
    print("Complex number 2 expanded: " + complex_exp_2.to_string + "%N")
    print("Complex number 1 expanded is unchanged: "
         + complex_exp_1.to_string + "%N")

    print("%N%NEnd of test%N")
  end

end
